/*******************************************************************************
 * FoxMiniGame_Align generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxMiniGame_Align extends FoxMiniGame_Base
    config(Minigame)
    notplaceable
    hidecategories(Navigation);

enum EButtonPresses
{
    BP_Right,
    BP_Left,
    BP_MAX
};

var private transient array<float> SliderPlacements;
var private const int TotalSliders;
var private const float SliderMinMax;
var private bool GameCompleted;
var private transient AkEvent VerticalMoveAudioEvent;
var private transient AkEvent HorizontalMoveAudioEvent;
var private transient AkEvent BadMoveAudioEvent;
var transient int CurrentSelectedSlider;
var const localized string AlignAnnouncement;
var const localized string SuccesssAnnouncement;

defaultproperties
{
    TotalSliders=5
    SliderMinMax=0.450
    AlignAnnouncement="ALIGN CIRCUITS IN THE MIDDLE"
    SuccesssAnnouncement="CIRCUITS ALIGNED CORRECTLY!"
    MinigameTime=25.0
}